## directx-headers 1.0.2

=== CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.

cmake_minimum_required(VERSION 3.10.2)
project(DirectX-Headers
        LANGUAGES CXX
        VERSION 1.0.2)
set(CMAKE_CXX_STANDARD 14) 
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

option(BUILD_TEST "Build the test" ON)

include(GNUInstallDirs)

# Enables consumers to add this library as a link target to automatically add
# these include directories, regardless of whether this is referenced via subdirectory
# or from an installed location
add_library(DirectX-Headers INTERFACE)
target_include_directories(DirectX-Headers SYSTEM INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

# For non-Windows targets, also add the WSL stubs to the include path
if (NOT WIN32)
    target_include_directories(DirectX-Headers SYSTEM INTERFACE
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/wsl/stubs>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/wsl/stubs>"
    )
endif()

add_library(DirectX-Guids STATIC src/dxguids.cpp)
target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)

# Install the targets
install(TARGETS DirectX-Headers DirectX-Guids
        EXPORT DirectX-Headers-Targets
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
# Create the targets CMake file which contains the above definitions
install(EXPORT DirectX-Headers-Targets FILE directx-headers-targets.cmake
        NAMESPACE Microsoft::
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)

# Install the actual includes
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/"
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# Create the CMake config files
include(CMakePackageConfigHelpers)
write_basic_package_version_file("directx-headers-config-version.cmake"
                                 VERSION ${PROJECT_VERSION}
                                 COMPATIBILITY SameMajorVersion)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/directx-headers-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
    INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)

# Install the CMake config files
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config-version.cmake"
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)

if (BUILD_TEST)
    add_subdirectory(test)
endif()

=== test/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.

project(DirectX-Headers-Test CXX)
add_executable(DirectX-Headers-Test test.cpp)
target_link_libraries(DirectX-Headers-Test DirectX-Headers DirectX-Guids d3d12 dxcore)

=== debian/changelog ===
directx-headers (1.0.2-1~20.04.2) focal-security; urgency=medium

  * No-change rebuild in -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Mar 2022 12:45:43 -0500

directx-headers (1.0.2-1~20.04.1) focal; urgency=medium

  * Backport to focal. (LP: #1925320)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 19 May 2021 11:25:36 +0300

directx-headers (1.0.2-1) unstable; urgency=medium

  * control: Add an uploader, bump policy to 4.5.1.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Feb 2021 21:58:53 +0200

directx-headers (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #980789)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Jan 2021 10:15:40 +0200

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12),
 meson,
Standards-Version: 4.5.1
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%directx-headers-$1.tar.gz%" \
   https://github.com/microsoft/DirectX-Headers/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## directx-headers 1.4.9

=== CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.
cmake_minimum_required(VERSION 3.10.2)
project(DirectX-Headers
    LANGUAGES CXX
    VERSION 1.4.9
)

set(CMAKE_CXX_STANDARD 14) 
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# It's useful to know if you are a top level project or not, if your project is
# being consumed via add_subdirectory
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    set(IS_TOPLEVEL_PROJECT TRUE)
else()
    set(IS_TOPLEVEL_PROJECT FALSE)
endif()

# Use DXHEADERS_* prefix to avoid potential name conflicts in cmake-gui, and allow
# grouping by prefix if more options are added
#
# Testing should only be enabled by default if we are top level. Otherwise clients can set it
# either via cmake or cmake-gui
option(DXHEADERS_BUILD_TEST "Build the test" ${IS_TOPLEVEL_PROJECT})
option(DXHEADERS_INSTALL "Installation logic" ${IS_TOPLEVEL_PROJECT})

include(GNUInstallDirs)

# Enables consumers to add this library as a link target to automatically add
# these include directories, regardless of whether this is referenced via subdirectory
# or from an installed location
add_library(DirectX-Headers INTERFACE)
target_include_directories(DirectX-Headers SYSTEM INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

# For non-Windows targets, also add the WSL stubs to the include path
if (NOT WIN32)
    target_include_directories(DirectX-Headers SYSTEM INTERFACE
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/wsl/stubs>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/wsl/stubs>"
    )
endif()

add_library(Microsoft::DirectX-Headers ALIAS DirectX-Headers)

add_library(DirectX-Guids STATIC src/dxguids.cpp)
target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)

add_library(Microsoft::DirectX-Guids ALIAS DirectX-Guids)

if (DXHEADERS_INSTALL)
    # Install the targets
    install(TARGETS DirectX-Headers DirectX-Guids
            EXPORT DirectX-Headers-Targets
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
    # Create the targets CMake file which contains the above definitions
    install(EXPORT DirectX-Headers-Targets FILE directx-headers-targets.cmake
            NAMESPACE Microsoft::
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)

    # Install the actual includes
    install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/include/"
            DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

    # Create the CMake config files
    include(CMakePackageConfigHelpers)
    write_basic_package_version_file("directx-headers-config-version.cmake"
                                    VERSION ${PROJECT_VERSION}
                                    COMPATIBILITY SameMajorVersion)
    configure_package_config_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/directx-headers-config.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
        INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)

    # Install the CMake config files
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config-version.cmake"
            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)
endif()

if (DXHEADERS_BUILD_TEST)
    add_subdirectory(test) 
endif()

=== debian/changelog ===
directx-headers (1.4.9-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 08 Jul 2021 14:40:46 -0400

directx-headers (1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * copyright: The license is essentially Expat, make it so.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 24 May 2021 16:07:01 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: directx-headers
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson,
 Standards-Version: 4.5.1
 Homepage: https://github.com/microsoft/DirectX-Headers

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild-test=false

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## directx-headers 1.600.10

=== googletest/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.
include(FetchContent)

set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
FetchContent_Declare(
    googletest
    GIT_REPOSITORY https://github.com/google/googletest.git
    GIT_TAG master # Live at head
)
FetchContent_MakeAvailable(googletest)

project(DirectX-Headers-GoogleTest-Suite CXX)
add_executable(Feature-Support-Test feature_support_test.cpp)
target_link_libraries(Feature-Support-Test DirectX-Headers DirectX-Guids d3d12 dxcore gtest_main)

=== debian/changelog ===
directx-headers (1.600.10-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Feb 2022 15:59:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dbuild-test=false

## directx-headers 1.602.0%2Br1

=== debian/changelog ===
directx-headers (1.602.0+r1-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Jul 2022 18:31:46 -0700

directx-headers (1.602.0+r1-1) unstable; urgency=medium

  * New upstream release. (LP: #1975624)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Jun 2022 00:16:39 +0300

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13), meson
Standards-Version: 4.5.1
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

## directx-headers 1.602.0+r1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.4.9
+    VERSION 1.602.0
 )
 
 set(CMAKE_CXX_STANDARD 14) 
@@ -25,6 +25,7 @@
 # either via cmake or cmake-gui
 option(DXHEADERS_BUILD_TEST "Build the test" ${IS_TOPLEVEL_PROJECT})
 option(DXHEADERS_INSTALL "Installation logic" ${IS_TOPLEVEL_PROJECT})
+option(DXHEADERS_BUILD_GOOGLE_TEST "Build the google test suite" ${IS_TOPLEVEL_PROJECT})
 
 include(GNUInstallDirs)
 
@@ -85,3 +86,7 @@
 if (DXHEADERS_BUILD_TEST)
     add_subdirectory(test) 
 endif()
+
+if (DXHEADERS_BUILD_GOOGLE_TEST)
+    add_subdirectory(googletest)
+endif()

=== test/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.

list(APPEND dxlibs "")
# Check if in WSL and if has DirectX driver and runtime
if(EXISTS "/usr/lib/wsl/lib/")
  find_library(libd3d12 d3d12 HINTS /usr/lib/wsl/lib)
  find_library(libdxcore dxcore HINTS /usr/lib/wsl/lib)
  list(APPEND dxlibs ${libd3d12} ${libdxcore})
else()
# Fallback to default: let CMake look for libs
  list(APPEND dxlibs d3d12 dxcore)
endif()

project(DirectX-Headers-Test
  DESCRIPTION "DirectX-Header test"
  HOMEPAGE_URL "https://github.com/microsoft/DirectX-Headers/"
  LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(TEST_EXES DirectX-Headers-Test DirectX-Headers-Check-Feature-Support-Test)

add_executable(DirectX-Headers-Test test.cpp)

add_executable(DirectX-Headers-Check-Feature-Support-Test feature_check_test.cpp)

foreach(t IN LISTS TEST_EXES)
  target_link_libraries(${t} DirectX-Headers DirectX-Guids ${dxlibs})
endforeach()

if ( CMAKE_CXX_COMPILER_ID MATCHES "Clang|IntelLLVM" )
    target_compile_options(DirectX-Headers-Check-Feature-Support-Test PRIVATE -Wno-unused-variable)
endif()

if(WIN32)
    foreach(t IN LISTS TEST_EXES)
      target_compile_definitions(${t} PRIVATE _UNICODE UNICODE _WIN32_WINNT=0x0A00)
    endforeach()

    if(WINDOWS_STORE)
      foreach(t IN LISTS TEST_EXES)
        target_compile_definitions(${t} PRIVATE WINAPI_FAMILY=WINAPI_FAMILY_APP)
      endforeach()
    endif()
endif()

## directx-headers 1.606.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.602.0
+    VERSION 1.606.4
 )
 
 set(CMAKE_CXX_STANDARD 14)

=== meson_options.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.

option('build-test',
       type : 'boolean',
       value : true,
       description : 'Build the test')

=== debian/changelog ===
directx-headers (1.606.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Sep 2022 08:39:09 +0300

directx-headers (1.606.3+r1-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Jul 2022 12:16:24 +0300

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
Standards-Version: 4.5.1
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

## directx-headers 1.610.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.606.4
+    VERSION 1.610.0
 )
 
 set(CMAKE_CXX_STANDARD 14) 
@@ -32,15 +32,16 @@
 # Enables consumers to add this library as a link target to automatically add
 # these include directories, regardless of whether this is referenced via subdirectory
 # or from an installed location
-add_library(DirectX-Headers INTERFACE)
-target_include_directories(DirectX-Headers SYSTEM INTERFACE
+add_library(DirectX-Headers STATIC src/d3dx12_property_format_table.cpp)
+target_include_directories(DirectX-Headers SYSTEM PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
     "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
 )
+target_include_directories(DirectX-Headers PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include/directx)
 
 # For non-Windows targets, also add the WSL stubs to the include path
 if (NOT WIN32)
-    target_include_directories(DirectX-Headers SYSTEM INTERFACE
+    target_include_directories(DirectX-Headers SYSTEM PUBLIC
         "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/wsl/stubs>"
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/wsl/stubs>"
     )

=== googletest/CMakeLists.txt ===
# Copyright (c) Microsoft Corporation.
# Licensed under the MIT License.
include(FetchContent)

set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
FetchContent_Declare(
    googletest
    GIT_REPOSITORY https://github.com/google/googletest.git
    GIT_TAG main # Live at head
)
FetchContent_MakeAvailable(googletest)

list(APPEND dxlibs "")
if(EXISTS "/usr/lib/wsl/lib/")
  find_library(libd3d12 d3d12 HINTS /usr/lib/wsl/lib)
  list(APPEND dxlibs ${libd3d12})
else()
# Fallback to default: let CMake look for libs
  list(APPEND dxlibs d3d12)
endif()

project(DirectX-Headers-GoogleTest-Suite
  DESCRIPTION "DirectX-Header tests using GooleTest"
  HOMEPAGE_URL "https://github.com/microsoft/DirectX-Headers/"
  LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

add_executable(Feature-Support-Test feature_support_test.cpp)
target_link_libraries(Feature-Support-Test DirectX-Headers DirectX-Guids ${dxlibs} gtest_main)

if ( CMAKE_CXX_COMPILER_ID MATCHES "Clang" )
    target_compile_options(Feature-Support-Test PRIVATE -Wno-unused-variable)
endif()

if(WIN32)
    target_compile_definitions(Feature-Support-Test PRIVATE _UNICODE UNICODE _WIN32_WINNT=0x0A00)

    if(WINDOWS_STORE)
      target_compile_definitions(Feature-Support-Test PRIVATE WINAPI_FAMILY=WINAPI_FAMILY_APP)
    endif()
endif()

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,11 @@
   list(APPEND dxlibs ${libd3d12} ${libdxcore})
 else()
 # Fallback to default: let CMake look for libs
-  list(APPEND dxlibs d3d12 dxcore)
+  list(APPEND dxlibs d3d12)
+  if (MSVC)
+    # MINGW doesn't have dxcore yet
+    list(APPEND dxlibs dxcore)
+  endif()
 endif()
 
 project(DirectX-Headers-Test

=== debian/changelog ===
directx-headers (1.610.2-2~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2023 15:27:43 -0700

directx-headers (1.610.2-2) unstable; urgency=medium

  * Upload to sid.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 Jun 2023 15:01:35 +0300

directx-headers (1.610.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Timo Aaltonen ]
  * New upstream version.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 06 May 2023 11:45:21 +0300

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13), meson
Standards-Version: 4.6.1
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dbuild-test=false
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## directx-headers 1.611.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,13 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.610.0
+    VERSION 1.611.0
 )
-
+include(CTest)
 set(CMAKE_CXX_STANDARD 14) 
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
+enable_testing()
 
 # It's useful to know if you are a top level project or not, if your project is
 # being consumed via add_subdirectory
@@ -39,20 +40,26 @@
 )
 target_include_directories(DirectX-Headers PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/include/directx)
 
+add_library(Microsoft::DirectX-Headers ALIAS DirectX-Headers)
+
+add_library(DirectX-Guids STATIC src/dxguids.cpp)
+target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)
+
+add_library(Microsoft::DirectX-Guids ALIAS DirectX-Guids)
+
 # For non-Windows targets, also add the WSL stubs to the include path
 if (NOT WIN32)
     target_include_directories(DirectX-Headers SYSTEM PUBLIC
         "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include/wsl/stubs>"
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/wsl/stubs>"
     )
+elseif((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") OR (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
+    # MinGW has RPC headers which define old versions, and complain if D3D
+    # headers are included before the RPC headers, since D3D headers were
+    # generated with new MIDL and "require" new RPC headers.
+   target_compile_options(DirectX-Headers PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_options(DirectX-Guids PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
 endif()
-
-add_library(Microsoft::DirectX-Headers ALIAS DirectX-Headers)
-
-add_library(DirectX-Guids STATIC src/dxguids.cpp)
-target_link_libraries(DirectX-Guids PRIVATE DirectX-Headers)
-
-add_library(Microsoft::DirectX-Guids ALIAS DirectX-Guids)
 
 if (DXHEADERS_INSTALL)
     # Install the targets
@@ -82,12 +89,30 @@
     install(FILES "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config.cmake"
                 "${CMAKE_CURRENT_BINARY_DIR}/directx-headers-config-version.cmake"
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/directx-headers/cmake)
+    
+    # Create pkg-config file 
+    include(cmake/JoinPaths.cmake)
+    # from: https://github.com/jtojnar/cmake-snips#concatenating-paths-when-building-pkg-config-files
+    join_paths(DIRECTX_INCLUDEDIR_FOR_PKG_CONFIG "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+    join_paths(DIRECTX_LIBDIR_FOR_PKG_CONFIG "\${prefix}"     "${CMAKE_INSTALL_LIBDIR}")        
+    configure_file(
+        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/DirectX-Headers.pc.in"
+        "${CMAKE_CURRENT_BINARY_DIR}/DirectX-Headers.pc" @ONLY)
+
+    # Install the pkg-config file
+    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/DirectX-Headers.pc"
+            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+
 endif()
 
-if (DXHEADERS_BUILD_TEST)
-    add_subdirectory(test) 
+if (BUILD_TESTING)
+    if (DXHEADERS_BUILD_TEST)
+       add_subdirectory(test) 
+    endif()
+
+    if (DXHEADERS_BUILD_GOOGLE_TEST)
+       # We do not want to install GoogleTest when packaging DirectX-Headers.
+       set(INSTALL_GTEST OFF)
+       add_subdirectory(googletest)
+    endif()
 endif()
-
-if (DXHEADERS_BUILD_GOOGLE_TEST)
-    add_subdirectory(googletest)
-endif()

=== debian/changelog ===
directx-headers (1.611.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Security-Contact.
  * Update standards version to 4.6.2, no changes needed.

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Dec 2023 14:55:24 +0200

## directx-headers 1.613.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.611.0
+    VERSION 1.613.0
 )
 include(CTest)
 set(CMAKE_CXX_STANDARD 14)

=== debian/changelog ===
directx-headers (1.613.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:03:17 +0000

directx-headers (1.613.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Mar 2024 15:20:40 +0200

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

## directx-headers 1.614.1

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13), meson
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## directx-headers 1.618.1

=== debian/changelog ===
directx-headers (1.618.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Oct 2025 14:47:58 +0300

directx-headers (1.614.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Sep 2024 22:41:57 +0300

## directx-headers 1.618.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.613.0
+    VERSION 1.618.2
 )
 include(CTest)
 set(CMAKE_CXX_STANDARD 14) 
@@ -57,8 +57,8 @@
     # MinGW has RPC headers which define old versions, and complain if D3D
     # headers are included before the RPC headers, since D3D headers were
     # generated with new MIDL and "require" new RPC headers.
-   target_compile_options(DirectX-Headers PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
-   target_compile_options(DirectX-Guids PRIVATE "-D__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_definitions(DirectX-Headers PRIVATE "__REQUIRED_RPCNDR_H_VERSION__=475")
+   target_compile_definitions(DirectX-Guids PRIVATE "__REQUIRED_RPCNDR_H_VERSION__=475")
 endif()
 
 if (DXHEADERS_INSTALL)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -25,15 +25,24 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+option(DXHEADERS_BUILD_COM_ATL "Build using ATL CComPtr" OFF)
+
 set(TEST_EXES DirectX-Headers-Test DirectX-Headers-Check-Feature-Support-Test)
 
 add_executable(DirectX-Headers-Test test.cpp)
-
+add_test(NAME DirectX-Headers-Test COMMAND DirectX-Headers-Test)
 add_executable(DirectX-Headers-Check-Feature-Support-Test feature_check_test.cpp)
+add_test(NAME DirectX-Headers-Check-Feature-Support-Test COMMAND DirectX-Headers-Check-Feature-Support-Test)
 
 foreach(t IN LISTS TEST_EXES)
   target_link_libraries(${t} DirectX-Headers DirectX-Guids ${dxlibs})
 endforeach()
+
+if(DXHEADERS_BUILD_COM_ATL)
+  foreach(t IN LISTS TEST_EXES)
+    target_compile_definitions(${t} PRIVATE D3DX12_USE_ATL)
+  endforeach()
+endif()
 
 if ( CMAKE_CXX_COMPILER_ID MATCHES "Clang|IntelLLVM" )
     target_compile_options(DirectX-Headers-Check-Feature-Support-Test PRIVATE -Wno-unused-variable)

=== debian/changelog ===
directx-headers (1.618.2-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 21 Oct 2025 12:15:26 +0300

=== debian/control ===
Source: directx-headers
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 13),
 meson,
Standards-Version: 4.6.2
Homepage: https://github.com/microsoft/DirectX-Headers
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/directx-headers
Vcs-Git: https://salsa.debian.org/xorg-team/lib/directx-headers.git
Rules-Requires-Root: no

Package: directx-headers-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Direct3D 12 headers
 This package provides the development headers for Direct3D 12.

=== debian/watch ===
version=4

opts="uversionmangle=s/-r/+r/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%directx-headers-$1.tar.gz%" \
   https://github.com/microsoft/DirectX-Headers/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## directx-headers 1.619.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.10.2)
 project(DirectX-Headers
     LANGUAGES CXX
-    VERSION 1.618.2
+    VERSION 1.619.0
 )
 include(CTest)
 set(CMAKE_CXX_STANDARD 14)

=== debian/changelog ===
directx-headers (1.619.0-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Feb 2026 12:57:28 +0200
